package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 透析管理对象 bus_device_history
 * 
 * @author zsl
 * @date 2022-06-10
 */
public class BusDeviceHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 设备id */
    @Excel(name = "设备id")
    private Long dId;

    /** 病号id */
    @Excel(name = "病号id")
    private Long pId;

    /** 签到时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "签到时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date signTime;

    /** 治疗项目 */
    @Excel(name = "治疗项目")
    private String treatmentProject;

    /** 报警信息 */
    @Excel(name = "报警信息")
    private Integer alarm;

    /** 数据上传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据上传时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date uploadTime;

    /** 透析机型号 */
    @Excel(name = "透析机型号")
    private String machineModel;

    /** 血滤器型号 */
    @Excel(name = "血滤器型号")
    private String filterModel;

    /** 血透器型号 */
    @Excel(name = "血透器型号")
    private String hemodialysisModel;

    /** 治疗时长 */
    @Excel(name = "治疗时长")
    private String treatmentTime;

    /** 目标脱水量 */
    @Excel(name = "目标脱水量")
    private String targetDehydration;

    /** 血泵速率 */
    @Excel(name = "血泵速率")
    private String bloodPumpRate;

    /** 流量 */
    @Excel(name = "流量")
    private String flow;

    /** 钾 */
    @Excel(name = "钾")
    private String k;

    /** 钙 */
    @Excel(name = "钙")
    private String ca;

    /** 钠 */
    @Excel(name = "钠")
    private String na;

    /** 碳酸氢根 */
    @Excel(name = "碳酸氢根")
    private String hco3;

    /** 抗凝剂 */
    @Excel(name = "抗凝剂")
    private String antithrombotic;

    /** 首剂量 */
    @Excel(name = "首剂量")
    private String firstDose;

    /** 追加 */
    @Excel(name = "追加")
    private String additionalDose;

    /** 血管通路 */
    @Excel(name = "血管通路")
    private String vascularAccess;

    /** 医生 */
    @Excel(name = "医生")
    private String doctor;

    /** 护士 */
    @Excel(name = "护士")
    private String nurse;

    /** 处方确认（0未确认，1已确认） */
    @Excel(name = "处方确认", readConverterExp = "0=未确认，1已确认")
    private Boolean verifyPrescription;

    /** 干体重 */
    @Excel(name = "干体重")
    private String targetWeight;

    /** 上次透析后体重 */
    @Excel(name = "上次透析后体重")
    private String lastWeight;

    /** 透前体重 */
    @Excel(name = "透前体重")
    private String beforeWeight;

    /** 体重增加 */
    @Excel(name = "体重增加")
    private String addWeight;

    /** 收缩压 */
    @Excel(name = "收缩压")
    private String beforeSbp;

    /** 舒张压 */
    @Excel(name = "舒张压")
    private String beforeDbp;

    /** 脉搏 */
    @Excel(name = "脉搏")
    private String beforeSphygmus;

    /** 呼吸频率 */
    @Excel(name = "呼吸频率")
    private String beforeRr;

    /** 透前体温 */
    @Excel(name = "透前体温")
    private String beforeTemperature;

    /** 尿量 */
    @Excel(name = "尿量")
    private String urineVolume;

    /** 体重增加 */
    @Excel(name = "体重增加")
    private String gainWeight;

    /** 透前评估（0未确认，1已确认） */
    @Excel(name = "透前评估", readConverterExp = "0=未确认，1已确认")
    private Boolean verifyBefore;

    /** 透后体重 */
    @Excel(name = "透后体重")
    private String preDialysisWeight;

    /** 体重减少 */
    @Excel(name = "体重减少")
    private String lossWeight;

    /** 透后体温 */
    @Excel(name = "透后体温")
    private String afterTemperature;

    /** 透后收缩压 */
    @Excel(name = "透后收缩压")
    private String afterSbp;

    /** 透后舒张压 */
    @Excel(name = "透后舒张压")
    private String afterDbp;

    /** 透后脉搏 */
    @Excel(name = "透后脉搏")
    private String afterSphygmus;

    /** 透后呼吸频率 */
    @Excel(name = "透后呼吸频率")
    private String afterRr;

    /** 透后评估（0未确认，1已确认） */
    @Excel(name = "透后评估", readConverterExp = "0=未确认，1已确认")
    private Boolean verifyAfter;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String deviceId;

    /** 设备区域 */
    @Excel(name = "设备区域")
    private String area;

    /** 床位号 */
    @Excel(name = "床位号")
    private String bed;

    /** 品牌名称 */
    @Excel(name = "品牌名称")
    private String brandName;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 出厂编码 */
    @Excel(name = "出厂编码")
    private String manufactureId;

    /** 价格 */
    @Excel(name = "价格")
    private String price;

    /** 感染标志，0无，1甲肝，2乙肝，3丙肝，4艾滋，5肺结核，6其他 */
    @Excel(name = "感染标志，0无，1甲肝，2乙肝，3丙肝，4艾滋，5肺结核，6其他")
    private Integer infection;

    /** 住院号 */
    @Excel(name = "住院号")
    private String code;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别,1男2女 */
    @Excel(name = "性别,1男2女")
    private Integer gender;

    /** 身高 */
    @Excel(name = "身高")
    private BigDecimal height;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 体重 */
    @Excel(name = "体重")
    private Long weight;

    /** 来源,1门诊，2急诊 */
    @Excel(name = "来源,1门诊，2急诊")
    private Integer source;

    /** 住址 */
    @Excel(name = "住址")
    private String address;

    /** 手机号 */
    private String phone;

    /** 亲属姓名 */
    @Excel(name = "亲属姓名")
    private String relationName;

    /** 亲属电话 */
    @Excel(name = "亲属电话")
    private String relationPhone;

    /** 死亡日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "死亡日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dieTime;

    /** 删除标志（0代表存在 1代表删除） */
    @Excel(name = "删除标志", readConverterExp = "0=代表存在,1=代表删除")
    private Integer isDelete;

    /** 状态（0已签到 1正在治疗 2 已下机） */
    @Excel(name = "状态", readConverterExp = "0=已签到,1=正在治疗,2=,已=下机")
    private Integer status;

    /** 运行状态 */
    @Excel(name = "运行状态")
    private String currentStatus;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public Long getdId() {
        return dId;
    }

    public void setdId(Long dId) {
        this.dId = dId;
    }

    public Long getpId() {
        return pId;
    }

    public void setpId(Long pId) {
        this.pId = pId;
    }

    public void setSignTime(Date signTime)
    {
        this.signTime = signTime;
    }

    public Date getSignTime() 
    {
        return signTime;
    }
    public void setTreatmentProject(String treatmentProject) 
    {
        this.treatmentProject = treatmentProject;
    }

    public String getTreatmentProject() 
    {
        return treatmentProject;
    }
    public void setAlarm(Integer alarm) 
    {
        this.alarm = alarm;
    }

    public Integer getAlarm() 
    {
        return alarm;
    }
    public void setUploadTime(Date uploadTime) 
    {
        this.uploadTime = uploadTime;
    }

    public Date getUploadTime() 
    {
        return uploadTime;
    }
    public void setMachineModel(String machineModel) 
    {
        this.machineModel = machineModel;
    }

    public String getMachineModel() 
    {
        return machineModel;
    }
    public void setFilterModel(String filterModel) 
    {
        this.filterModel = filterModel;
    }

    public String getFilterModel() 
    {
        return filterModel;
    }
    public void setHemodialysisModel(String hemodialysisModel) 
    {
        this.hemodialysisModel = hemodialysisModel;
    }

    public String getHemodialysisModel() 
    {
        return hemodialysisModel;
    }
    public void setTreatmentTime(String treatmentTime) 
    {
        this.treatmentTime = treatmentTime;
    }

    public String getTreatmentTime() 
    {
        return treatmentTime;
    }
    public void setTargetDehydration(String targetDehydration) 
    {
        this.targetDehydration = targetDehydration;
    }

    public String getTargetDehydration() 
    {
        return targetDehydration;
    }
    public void setBloodPumpRate(String bloodPumpRate) 
    {
        this.bloodPumpRate = bloodPumpRate;
    }

    public String getBloodPumpRate() 
    {
        return bloodPumpRate;
    }
    public void setFlow(String flow) 
    {
        this.flow = flow;
    }

    public String getFlow() 
    {
        return flow;
    }
    public void setK(String k) 
    {
        this.k = k;
    }

    public String getK() 
    {
        return k;
    }
    public void setCa(String ca) 
    {
        this.ca = ca;
    }

    public String getCa() 
    {
        return ca;
    }
    public void setNa(String na) 
    {
        this.na = na;
    }

    public String getNa() 
    {
        return na;
    }
    public void setHco3(String hco3) 
    {
        this.hco3 = hco3;
    }

    public String getHco3() 
    {
        return hco3;
    }
    public void setAntithrombotic(String antithrombotic) 
    {
        this.antithrombotic = antithrombotic;
    }

    public String getAntithrombotic() 
    {
        return antithrombotic;
    }
    public void setFirstDose(String firstDose) 
    {
        this.firstDose = firstDose;
    }

    public String getFirstDose() 
    {
        return firstDose;
    }
    public void setAdditionalDose(String additionalDose) 
    {
        this.additionalDose = additionalDose;
    }

    public String getAdditionalDose() 
    {
        return additionalDose;
    }
    public void setVascularAccess(String vascularAccess) 
    {
        this.vascularAccess = vascularAccess;
    }

    public String getVascularAccess() 
    {
        return vascularAccess;
    }
    public void setDoctor(String doctor) 
    {
        this.doctor = doctor;
    }

    public String getDoctor() 
    {
        return doctor;
    }
    public void setNurse(String nurse) 
    {
        this.nurse = nurse;
    }

    public String getNurse() 
    {
        return nurse;
    }
    public void setVerifyPrescription(Boolean verifyPrescription) 
    {
        this.verifyPrescription = verifyPrescription;
    }

    public Boolean getVerifyPrescription() 
    {
        return verifyPrescription;
    }
    public void setTargetWeight(String targetWeight) 
    {
        this.targetWeight = targetWeight;
    }

    public String getTargetWeight() 
    {
        return targetWeight;
    }
    public void setLastWeight(String lastWeight) 
    {
        this.lastWeight = lastWeight;
    }

    public String getLastWeight() 
    {
        return lastWeight;
    }
    public void setBeforeWeight(String beforeWeight) 
    {
        this.beforeWeight = beforeWeight;
    }

    public String getBeforeWeight() 
    {
        return beforeWeight;
    }
    public void setAddWeight(String addWeight) 
    {
        this.addWeight = addWeight;
    }

    public String getAddWeight() 
    {
        return addWeight;
    }
    public void setBeforeSbp(String beforeSbp) 
    {
        this.beforeSbp = beforeSbp;
    }

    public String getBeforeSbp() 
    {
        return beforeSbp;
    }
    public void setBeforeDbp(String beforeDbp) 
    {
        this.beforeDbp = beforeDbp;
    }

    public String getBeforeDbp() 
    {
        return beforeDbp;
    }
    public void setBeforeSphygmus(String beforeSphygmus) 
    {
        this.beforeSphygmus = beforeSphygmus;
    }

    public String getBeforeSphygmus() 
    {
        return beforeSphygmus;
    }
    public void setBeforeRr(String beforeRr) 
    {
        this.beforeRr = beforeRr;
    }

    public String getBeforeRr() 
    {
        return beforeRr;
    }
    public void setBeforeTemperature(String beforeTemperature) 
    {
        this.beforeTemperature = beforeTemperature;
    }

    public String getBeforeTemperature() 
    {
        return beforeTemperature;
    }
    public void setUrineVolume(String urineVolume) 
    {
        this.urineVolume = urineVolume;
    }

    public String getUrineVolume() 
    {
        return urineVolume;
    }
    public void setGainWeight(String gainWeight) 
    {
        this.gainWeight = gainWeight;
    }

    public String getGainWeight() 
    {
        return gainWeight;
    }
    public void setVerifyBefore(Boolean verifyBefore) 
    {
        this.verifyBefore = verifyBefore;
    }

    public Boolean getVerifyBefore() 
    {
        return verifyBefore;
    }
    public void setPreDialysisWeight(String preDialysisWeight) 
    {
        this.preDialysisWeight = preDialysisWeight;
    }

    public String getPreDialysisWeight() 
    {
        return preDialysisWeight;
    }
    public void setLossWeight(String lossWeight) 
    {
        this.lossWeight = lossWeight;
    }

    public String getLossWeight() 
    {
        return lossWeight;
    }
    public void setAfterTemperature(String afterTemperature) 
    {
        this.afterTemperature = afterTemperature;
    }

    public String getAfterTemperature() 
    {
        return afterTemperature;
    }
    public void setAfterSbp(String afterSbp) 
    {
        this.afterSbp = afterSbp;
    }

    public String getAfterSbp() 
    {
        return afterSbp;
    }
    public void setAfterDbp(String afterDbp) 
    {
        this.afterDbp = afterDbp;
    }

    public String getAfterDbp() 
    {
        return afterDbp;
    }
    public void setAfterSphygmus(String afterSphygmus) 
    {
        this.afterSphygmus = afterSphygmus;
    }

    public String getAfterSphygmus() 
    {
        return afterSphygmus;
    }
    public void setAfterRr(String afterRr) 
    {
        this.afterRr = afterRr;
    }

    public String getAfterRr() 
    {
        return afterRr;
    }
    public void setVerifyAfter(Boolean verifyAfter) 
    {
        this.verifyAfter = verifyAfter;
    }

    public Boolean getVerifyAfter() 
    {
        return verifyAfter;
    }
    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }
    public void setBed(String bed) 
    {
        this.bed = bed;
    }

    public String getBed() 
    {
        return bed;
    }
    public void setBrandName(String brandName) 
    {
        this.brandName = brandName;
    }

    public String getBrandName() 
    {
        return brandName;
    }
    public void setModel(String model) 
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }
    public void setManufactureId(String manufactureId) 
    {
        this.manufactureId = manufactureId;
    }

    public String getManufactureId() 
    {
        return manufactureId;
    }
    public void setPrice(String price) 
    {
        this.price = price;
    }

    public String getPrice() 
    {
        return price;
    }
    public void setInfection(Integer infection) 
    {
        this.infection = infection;
    }

    public Integer getInfection() 
    {
        return infection;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setGender(Integer gender) 
    {
        this.gender = gender;
    }

    public Integer getGender() 
    {
        return gender;
    }
    public void setHeight(BigDecimal height) 
    {
        this.height = height;
    }

    public BigDecimal getHeight() 
    {
        return height;
    }
    public void setAge(Long age) 
    {
        this.age = age;
    }

    public Long getAge() 
    {
        return age;
    }
    public void setWeight(Long weight) 
    {
        this.weight = weight;
    }

    public Long getWeight() 
    {
        return weight;
    }
    public void setSource(Integer source) 
    {
        this.source = source;
    }

    public Integer getSource() 
    {
        return source;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setRelationName(String relationName) 
    {
        this.relationName = relationName;
    }

    public String getRelationName() 
    {
        return relationName;
    }
    public void setRelationPhone(String relationPhone) 
    {
        this.relationPhone = relationPhone;
    }

    public String getRelationPhone() 
    {
        return relationPhone;
    }
    public void setDieTime(Date dieTime) 
    {
        this.dieTime = dieTime;
    }

    public Date getDieTime() 
    {
        return dieTime;
    }
    public void setIsDelete(Integer isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() 
    {
        return isDelete;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setCurrentStatus(String currentStatus) 
    {
        this.currentStatus = currentStatus;
    }

    public String getCurrentStatus() 
    {
        return currentStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dId", getdId())
            .append("pId", getpId())
            .append("signTime", getSignTime())
            .append("treatmentProject", getTreatmentProject())
            .append("alarm", getAlarm())
            .append("uploadTime", getUploadTime())
            .append("machineModel", getMachineModel())
            .append("filterModel", getFilterModel())
            .append("hemodialysisModel", getHemodialysisModel())
            .append("treatmentTime", getTreatmentTime())
            .append("targetDehydration", getTargetDehydration())
            .append("bloodPumpRate", getBloodPumpRate())
            .append("flow", getFlow())
            .append("k", getK())
            .append("ca", getCa())
            .append("na", getNa())
            .append("hco3", getHco3())
            .append("antithrombotic", getAntithrombotic())
            .append("firstDose", getFirstDose())
            .append("additionalDose", getAdditionalDose())
            .append("vascularAccess", getVascularAccess())
            .append("doctor", getDoctor())
            .append("nurse", getNurse())
            .append("verifyPrescription", getVerifyPrescription())
            .append("targetWeight", getTargetWeight())
            .append("lastWeight", getLastWeight())
            .append("beforeWeight", getBeforeWeight())
            .append("addWeight", getAddWeight())
            .append("beforeSbp", getBeforeSbp())
            .append("beforeDbp", getBeforeDbp())
            .append("beforeSphygmus", getBeforeSphygmus())
            .append("beforeRr", getBeforeRr())
            .append("beforeTemperature", getBeforeTemperature())
            .append("urineVolume", getUrineVolume())
            .append("gainWeight", getGainWeight())
            .append("verifyBefore", getVerifyBefore())
            .append("preDialysisWeight", getPreDialysisWeight())
            .append("lossWeight", getLossWeight())
            .append("afterTemperature", getAfterTemperature())
            .append("afterSbp", getAfterSbp())
            .append("afterDbp", getAfterDbp())
            .append("afterSphygmus", getAfterSphygmus())
            .append("afterRr", getAfterRr())
            .append("verifyAfter", getVerifyAfter())
            .append("deviceId", getDeviceId())
            .append("area", getArea())
            .append("bed", getBed())
            .append("brandName", getBrandName())
            .append("model", getModel())
            .append("manufactureId", getManufactureId())
            .append("price", getPrice())
            .append("infection", getInfection())
            .append("code", getCode())
            .append("name", getName())
            .append("gender", getGender())
            .append("height", getHeight())
            .append("age", getAge())
            .append("weight", getWeight())
            .append("source", getSource())
            .append("address", getAddress())
            .append("createTime", getCreateTime())
            .append("phone", getPhone())
            .append("relationName", getRelationName())
            .append("relationPhone", getRelationPhone())
            .append("dieTime", getDieTime())
            .append("isDelete", getIsDelete())
            .append("status", getStatus())
            .append("currentStatus", getCurrentStatus())
            .toString();
    }
}
